package com.ssj.bean.sys.cardinfo.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_card")
public class Card extends BaseEntity {
	
	/**
	 * 微信活动
	 */
	private static final long serialVersionUID = 8676143775093847956L;
	private  String keyword ;//关键字
	private  String name; //活动标题
	private  String info; //兑奖信息
	private  String content;//活动简介
	private  Date  startTime;//活动开始时间
	private  Date  endTime;//活动结束时间
	private  String details;//活动详细明细
	private  String repeatLotteryReply;//重复抽奖回复
	private  String endTheme; //活动结束标题
	private  String  endInstruction;//活动结束说明
	private  String  cNameOne;//一等奖奖品
    private  String  cNumOne;//一等奖数量
    private  String  cNameTwo;//二等奖奖品
    private  String  cNumTwo;//二等奖数量
    private  String  cNameThree;//三等奖奖品
    private  String  cNumThree;//三等奖数量
    private  String  cNameFour;//四等奖奖品
    private  String  cNumFour;//四等奖数量
    private  String  cNameFive;//五等奖奖品
    private  String  cNumFive;//五等奖数量
    private  String  cNameSix;//六等奖奖品
    private  String  cNumSix;//六等奖数量
    private  Integer  expectedNumber;//预期玩游戏人数
    private  Integer  drawTimes;//每人允许抽奖次数
    private  Integer   maxTimes;//每人每天最多可玩次数
    private  String  ticketPwd;//兑奖密码
    private  String snCode;//sn码 code
    private  String startPicurl;//活动开始图片URL
    private  String endPicurl;// 活动结束图片
    private  Integer playType;//游戏类型 1：大转盘;2:刮刮乐;3:砸金蛋
    private  Date   createTime;//活动创建时间
    private  Integer  playStatus;//活动状态 0 未开始 1 进行中 2 已结束
    private  Integer  percent;//中奖概率1-100
    private  String libId;//图书馆
    private  String  qrCode;//二维码
    @Column(name = "keyword") 
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	@Column(name = "name") 
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Column(name = "info") 
	public String getInfo() {
		return info;
	}
	public void setInfo(String info) {
		this.info = info;
	}
	@Column(name = "content") 
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")   
	@Column(name = "start_time") 
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss") 
	@Column(name = "end_time") 
	public Date getEndTime() {
		return endTime;
	}
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	@Column(name = "details") 
	public String getDetails() {
		return details;
	}
	public void setDetails(String details) {
		this.details = details;
	}
	@Column(name = "repeat_lottery_reply") 
	public String getRepeatLotteryReply() {
		return repeatLotteryReply;
	}
	public void setRepeatLotteryReply(String repeatLotteryReply) {
		this.repeatLotteryReply = repeatLotteryReply;
	}
	@Column(name = "end_theme") 
	public String getEndTheme() {
		return endTheme;
	}
	public void setEndTheme(String endTheme) {
		this.endTheme = endTheme;
	}
	@Column(name = "end_instruction") 
	public String getEndInstruction() {
		return endInstruction;
	}
	public void setEndInstruction(String endInstruction) {
		this.endInstruction = endInstruction;
	}
	@Column(name = "c_name_one") 
	public String getcNameOne() {
		return cNameOne;
	}
	public void setcNameOne(String cNameOne) {
		this.cNameOne = cNameOne;
	}
	@Column(name = "c_num_one") 
	public String getcNumOne() {
		return cNumOne;
	}
	public void setcNumOne(String cNumOne) {
		this.cNumOne = cNumOne;
	}
	@Column(name = "c_name_two") 
	public String getcNameTwo() {
		return cNameTwo;
	}
	public void setcNameTwo(String cNameTwo) {
		this.cNameTwo = cNameTwo;
	}
	@Column(name = "c_num_two") 
	public String getcNumTwo() {
		return cNumTwo;
	}
	public void setcNumTwo(String cNumTwo) {
		this.cNumTwo = cNumTwo;
	}
	@Column(name = "c_name_three") 
	public String getcNameThree() {
		return cNameThree;
	}
	public void setcNameThree(String cNameThree) {
		this.cNameThree = cNameThree;
	}
	@Column(name = "c_num_three") 
	public String getcNumThree() {
		return cNumThree;
	}
	public void setcNumThree(String cNumThree) {
		this.cNumThree = cNumThree;
	}
	@Column(name = "c_name_four") 
	public String getcNameFour() {
		return cNameFour;
	}
	public void setcNameFour(String cNameFour) {
		this.cNameFour = cNameFour;
	}
	@Column(name = "c_num_four") 
	public String getcNumFour() {
		return cNumFour;
	}
	public void setcNumFour(String cNumFour) {
		this.cNumFour = cNumFour;
	}
	@Column(name = "c_name_five") 
	public String getcNameFive() {
		return cNameFive;
	}
	public void setcNameFive(String cNameFive) {
		this.cNameFive = cNameFive;
	}
	@Column(name = "c_num_five") 
	public String getcNumFive() {
		return cNumFive;
	}
	public void setcNumFive(String cNumFive) {
		this.cNumFive = cNumFive;
	}
	@Column(name = "c_name_six") 
	public String getcNameSix() {
		return cNameSix;
	}
	public void setcNameSix(String cNameSix) {
		this.cNameSix = cNameSix;
	}
	@Column(name = "c_num_six") 
	public String getcNumSix() {
		return cNumSix;
	}
	public void setcNumSix(String cNumSix) {
		this.cNumSix = cNumSix;
	}
	@Column(name = "expected_number") 
	public Integer getExpectedNumber() {
		return expectedNumber;
	}
	public void setExpectedNumber(Integer expectedNumber) {
		this.expectedNumber = expectedNumber;
	}
	@Column(name = "draw_times") 
	public Integer getDrawTimes() {
		return drawTimes;
	}
	public void setDrawTimes(Integer drawTimes) {
		this.drawTimes = drawTimes;
	}
	@Column(name = "max_times") 
	public Integer getMaxTimes() {
		return maxTimes;
	}
	public void setMaxTimes(Integer maxTimes) {
		this.maxTimes = maxTimes;
	}
	@Column(name = "ticket_pwd") 
	public String getTicketPwd() {
		return ticketPwd;
	}
	public void setTicketPwd(String ticketPwd) {
		this.ticketPwd = ticketPwd;
	}
	@Column(name = "sn_code") 
	public String getSnCode() {
		return snCode;
	}
	public void setSnCode(String snCode) {
		this.snCode = snCode;
	}
	@Column(name = "start_picurl") 
	public String getStartPicurl() {
		return startPicurl;
	}
	public void setStartPicurl(String startPicurl) {
		this.startPicurl = startPicurl;
	}
	@Column(name = "end_picurl") 
	public String getEndPicurl() {
		return endPicurl;
	}
	public void setEndPicurl(String endPicurl) {
		this.endPicurl = endPicurl;
	}
	@Column(name = "play_type") 
	public Integer getPlayType() {
		return playType;
	}
	public void setPlayType(Integer playType) {
		this.playType = playType;
	}
	@Column(name = "create_time",updatable=false) 
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "play_status") 
	public Integer getPlayStatus() {
		return playStatus;
	}
	public void setPlayStatus(Integer playStatus) {
		this.playStatus = playStatus;
	}
	@Column(name = "percent") 
	public Integer getPercent() {
		return percent;
	}
	public void setPercent(Integer percent) {
		this.percent = percent;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public String getQrCode() {
		return qrCode;
	}
	public void setQrCode(String qrCode) {
		this.qrCode = qrCode;
	}
    
    
    
    
    
}
